import { FetchHook } from "@contentgrid/fetch-hooks";
import { AuthenticationTokenSupplier } from "./token-supplier";
import { ValueProvider } from "@contentgrid/fetch-hooks/value-provider";
export * from "./token-supplier";
interface AuthenticationTokenHookOptions {
    tokenSupplier: ValueProvider<AuthenticationTokenSupplier, []>;
}
export default function createBearerAuthenticationHook(opts: AuthenticationTokenHookOptions): FetchHook;
