'use strict';

var tokenSupplier_composite = require('./composite.js');
var tokenSupplier_contentgridTokenExchange = require('./contentgridTokenExchange.js');
require('tslib');
require('@contentgrid/fetch-hooks');
require('whatwg-mimetype');
require('@contentgrid/fetch-hooks/value-provider');



exports.CompositeTokenSupplierBuilder = tokenSupplier_composite.CompositeTokenSupplierBuilder;
exports.createCompositeTokenSupplier = tokenSupplier_composite.default;
exports.OAuth2AuthenticationError = tokenSupplier_contentgridTokenExchange.OAuth2AuthenticationError;
exports.TokenExchangeError = tokenSupplier_contentgridTokenExchange.TokenExchangeError;
exports.TokenExchangeProtocolViolationError = tokenSupplier_contentgridTokenExchange.TokenExchangeProtocolViolationError;
exports.createContentgridTokenExchangeTokenSupplier = tokenSupplier_contentgridTokenExchange.default;
//# sourceMappingURL=index.js.map
